/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package algorithm;

import frame.Gamestate;
import frame.Operator;

/**
 *
 * @author Ani
 */
public abstract class MoveOffer {
    protected Gamestate state;
    protected Integer depth;
    protected Integer useful;
    protected Operator operator;
    protected Integer noState;

    public Integer getDepth() {
        return depth;
    }

    public void setDepth(Integer depth) {
        this.depth = depth;
    }

    public Gamestate getState() {
        return state;
    }

    public void setState(Gamestate state) {
        this.state = state;
    }

    public Integer getUseful() {
        return useful;
    }

    public void setUseful(Integer useful) {
        this.useful = useful;
    }

    public Operator getOperator() {
        return operator;
    }

    public void setOperator(Operator operator) {
        this.operator = operator;
    }

    public Integer getNoState() {
        return noState;
    }

    public void setNoState(Integer noState) {
        this.noState = noState;
    }



}
